Public Class ctlPdf

    Private _dispacher As FormDispacher = FormDispacher.GetInstance

    ReadOnly Property frmPdfViewer As frmPdfViewer
        Get
            Return _dispacher.GetFrmPdfViewer
        End Get
    End Property





#Region "ページ移動"

    Private Sub btnFirst_Click(sender As Object, e As EventArgs) Handles btnPDFFirst.Click
        frmPdfViewer.FirstPage()
    End Sub

    Private Sub btnNext_Click(sender As Object, e As EventArgs) Handles btnPDFNext.Click
        frmPdfViewer.NextPage()
    End Sub

    Private Sub btnBack_Click(sender As Object, e As EventArgs) Handles btnPDFBack.Click
        frmPdfViewer.PrePage()
    End Sub

    Private Sub btnLast_Click(sender As Object, e As EventArgs) Handles btnPDFLast.Click
        'todo
    End Sub
#End Region



    Private _backFileName As String
    Private _fileViewParam As FileViewParam
    Public Sub SetFileInfo(f As FileViewParam)
        Me._fileViewParam = f
        frmPdfViewer.OpenFile(f.FileName)
    End Sub






End Class
